| FoxitPDFSDKforWeb v11.0.5 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
FieldFlagOptions Class Reference
PDF » form

## Public Attributes
boolean | buttonNoToggleToOff
| (Only useful for radio button) if set to true exactly one radio button must be selected at all times; clicking the currently selected button has no effect. If set to false, clicking the selected button deselects it, leaving no button selected. More...
boolean | buttonRadiosInUnison
| (Only useful for radio button) if set to true a group of radio buttons within a radio button field that use the same value for the on state will turn on and off in unison; that is if one is checked, they are all checked. If set to false, the buttons are mutually exclusive. More...
boolean | choiceMultiSelect
| (Only useful for list box) If set to true, more than one items may be selected simultaneously; if set to false, no more than one item at a time may be selected. More...
boolean | comboEdit
| (Only useful for combo box) if set to true the combo box includes an editable text control with a drop-down list, if set to false, it includes only a drop-down list. More...
boolean | commitOnSelChange
| (Only useful for choice field) If set to true, the new value is committed as soon as a selection is made with the pointing device; if set to false, the new value is not committed until the user exits the field. More...
boolean | hidden
| Indicates whether the field is hidden. More...
boolean | noExport
| Indicates whether the field can be exported by a submit-form action. More...
boolean | readonly
| If set to true, the user may not change the value of the field. Any associated widget annotations will not interact with the user; that is, they will not respond to mouse clicks or change their appearance in response to mouse motions. This flag is useful for fields whose values are computed or imported from a database. More...
boolean | required
| If set to true, the field must have a value at the time it is exported by a submit-form action. More...
boolean | textComb
| (Only useful for text field) if set to true use combs. if set to true the field is automatically divided into as many equally spaced positions, or combs, as the value of maximum length of a field's text, and the text is laid out into those combs. More...
boolean | textDoNotScroll
| (Only useful for text field) if set to true the field does not scroll (horizontally for single-line fields, vertically for multiple-line fields) to accommodate more text than fits within its annotation rectangle. Once the field is full, no further text is accepted. More...
boolean | textDoNotSpellCheck
| (Only useful for text field) if set to true text entered in the field is not spell-checked. More...
boolean | textMultiline
| (Only useful for text field) if set to true the text field can contain multiple lines of text; if set to false, the field's text is restricted to a single line. More...
boolean | textPassword
| (Only useful for text field) if set to true the field is intended for entering a secure password that should not be echoed visibly to the screen. Characters typed from the keyboard should instead be echoed in some unreadable form, such as asterisks or bullet characters. More...

## Detailed Description

Since
  11.0.0

## Member Data Documentation

## ◆ buttonNoToggleToOff

boolean FieldFlagOptions::buttonNoToggleToOff

(Only useful for radio button) if set to true exactly one radio button must be selected at all times; clicking the currently selected button has no effect. If set to false, clicking the selected button deselects it, leaving no button selected.

Since
  11.0.0

## ◆ buttonRadiosInUnison

boolean FieldFlagOptions::buttonRadiosInUnison

(Only useful for radio button) if set to true a group of radio buttons within a radio button field that use the same value for the on state will turn on and off in unison; that is if one is checked, they are all checked. If set to false, the buttons are mutually exclusive.

Since
  11.0.0

## ◆ choiceMultiSelect

boolean FieldFlagOptions::choiceMultiSelect

(Only useful for list box) If set to true, more than one items may be selected simultaneously; if set to false, no more than one item at a time may be selected.

Since
  11.0.0

## ◆ comboEdit

boolean FieldFlagOptions::comboEdit

(Only useful for combo box) if set to true the combo box includes an editable text control with a drop-down list, if set to false, it includes only a drop-down list.

Since
  11.0.0

## ◆ commitOnSelChange

boolean FieldFlagOptions::commitOnSelChange

(Only useful for choice field) If set to true, the new value is committed as soon as a selection is made with the pointing device; if set to false, the new value is not committed until the user exits the field.

Since
  11.0.0

## ◆ hidden

boolean FieldFlagOptions::hidden

Indicates whether the field is hidden.

Since
  11.0.0

## ◆ noExport

boolean FieldFlagOptions::noExport

Indicates whether the field can be exported by a submit-form action.

Since
  11.0.0

## ◆ readonly

boolean FieldFlagOptions::readonly

If set to true, the user may not change the value of the field. Any associated widget annotations will not interact with the user; that is, they will not respond to mouse clicks or change their appearance in response to mouse motions. This flag is useful for fields whose values are computed or imported from a database.

Since
  11.0.0

## ◆ required

boolean FieldFlagOptions::required

If set to true, the field must have a value at the time it is exported by a submit-form action.

Since
  11.0.0

## ◆ textComb

boolean FieldFlagOptions::textComb

(Only useful for text field) if set to true use combs. if set to true the field is automatically divided into as many equally spaced positions, or combs, as the value of maximum length of a field's text, and the text is laid out into those combs.

Since
  11.0.0

## ◆ textDoNotScroll

boolean FieldFlagOptions::textDoNotScroll

(Only useful for text field) if set to true the field does not scroll (horizontally for single-line fields, vertically for multiple-line fields) to accommodate more text than fits within its annotation rectangle. Once the field is full, no further text is accepted.

Since
  11.0.0

## ◆ textDoNotSpellCheck

boolean FieldFlagOptions::textDoNotSpellCheck

(Only useful for text field) if set to true text entered in the field is not spell-checked.

Since
  11.0.0

## ◆ textMultiline

boolean FieldFlagOptions::textMultiline

(Only useful for text field) if set to true the text field can contain multiple lines of text; if set to false, the field's text is restricted to a single line.

Since
  11.0.0

## ◆ textPassword

boolean FieldFlagOptions::textPassword

(Only useful for text field) if set to true the field is intended for entering a secure password that should not be echoed visibly to the screen. Characters typed from the keyboard should instead be echoed in some unreadable form, such as asterisks or bullet characters.

Note
  To protect password confidentiality, viewer applications should never store the value of the text field in the PDF file if this flag is set.

Since
  11.0.0

@2025 Foxit Software Incorporated. All rights reserved.